[Deprecated]: v1.0
get
/ec-site-svc/rest/v1/studies/{studyId}/{mode}/regions
Deprecated: Retrieves a list of regions. The region includes a list of associated countries.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : RegionsResponse v1.0
Type:
objectTitle:
RegionsResponse v1.0Response wrapping the region list returned by v1 APIs.
Show Source
-
regions: object
RegionDto v1.0
Title:
RegionDto v1.0Region metadata that lists associated countries.
Nested Schema : RegionDto v1.0
Type:
objectTitle:
RegionDto v1.0Region metadata that lists associated countries.
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Title:
Region IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the region. -
name(required): string
Title:
Region NameMinimum Length:1Maximum Length:100Official name of the region.Example:North America Region -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
regionCountries(required): object
RegionCountryDto v1.0
Title:
RegionCountryDto v1.0Country metadata captured for each region. -
versionStart: string
(date-time)
Title:
Version StartTimestamp when this region version was created.Example:2026-03-17T10:00:00Z
Example:
[
{
"id":"A0E1B2C3D4E5F67890123456789ABCDE",
"name":"North America Region"
}
]Nested Schema : RegionCountryDto v1.0
Type:
objectTitle:
RegionCountryDto v1.0Country metadata captured for each region.
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
countryId(required): string
(uuid)
Title:
Country IDIdentifier of the country linked to the region. -
countryName: string
Title:
Country NameDisplay name of the country associated with the region.Example:United States -
id: string
(uuid)
Title:
Region Country IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the region-country association. -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
versionStart: string
(date-time)
Title:
Version StartTimestamp when this region-country association version was created.Example:2026-03-17T10:00:00Z
Example:
[
{
"countryId":"A0E1B2C3D4E5F67890123456789ABCDE",
"countryName":"United States"
}
]Examples